#include <bits/stdc++.h>
using namespace std;

int n, k, x;
bool used[1000005];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());

    cin >> n >> k >> x;

    for(int i = 0; i <= 1000; ++i){
        for(int j = 1; j <= n - i; ++j){
            if(i * j == k){
                for(int l = 0; l < i; ++l){
                    cout << 1 << " ";
                }
                for(int l = 0; l < j; ++l){
                    cout << x + 1 << " ";
                }
                for(int l = i + j; l < n; ++l){
                    cout << x << " ";
                }
                cout << "\n";

                return 0;
            }
        }
    }

    cout << -1 << "\n";

    return 0;
}